package com.fr.plugin.pielinecomb;

import com.fr.design.gui.frpane.AttributeChangeListener;
import com.fr.design.mainframe.chart.AbstractChartAttrPane;
import com.fr.design.mainframe.chart.gui.ChartDataPane;
import com.fr.design.mainframe.chart.gui.data.report.AbstractReportDataContentPane;
import com.fr.design.mainframe.chart.gui.type.AbstractChartTypePane;
import com.fr.extended.chart.AbstractExtendedChartTableDataPane;
import com.fr.extended.chart.AbstractExtendedChartUIProvider;
import com.fr.plugin.pielinecomb.data.CombDataPane;
import com.fr.plugin.pielinecomb.ui.PieLineCombStylePane;

/**
 * @author duan.jingliang
 * @date 2022/10/19
 */
public class PieLineCombChartUI extends AbstractExtendedChartUIProvider {

	@Override
	public ChartDataPane getChartDataPane(AttributeChangeListener attributeChangeListener) {
		return new CombDataPane(attributeChangeListener);
	}

	@Override
	protected AbstractExtendedChartTableDataPane getTableDataSourcePane() {
		return null;
	}

	@Override
	protected AbstractReportDataContentPane getReportDataSourcePane() {
		return null;
	}

	@Override
	public String getIconPath() {
		return "com/fr/plugin/pielinecomb/images/icon.png";
	}

	@Override
	public AbstractChartAttrPane[] getAttrPaneArray(AttributeChangeListener attributeChangeListener) {
		return new AbstractChartAttrPane[]{
				new PieLineCombStylePane(attributeChangeListener)
		};
	}

	@Override
	public String[] getDemoImagePath() {
		return new String[]{"com/fr/plugin/pielinecomb/images/demo.png"};
	}

	@Override
	public AbstractChartTypePane getPlotTypePane() {
		return new PieLineCombTypePane();
	}
}
