package com.fr.plugin.pielinecomb;

import com.fr.design.i18n.Toolkit;
import com.fr.extended.chart.ExtendedTypePane;

/**
 * @author duan.jingliang
 * @date 2022/10/17
 */
public class PieLineCombTypePane extends ExtendedTypePane<PieLineCombChart> {
    @Override
    protected String[] getTypeIconPath() {
        return new String[]{
                "com/fr/plugin/pielinecomb/images/pie.png",
                "com/fr/plugin/pielinecomb/images/line.png",
                "com/fr/plugin/pielinecomb/images/comb.png"
        };
    }

    @Override
    protected String[] getTypeTipName() {
        return new String[]{
                Toolkit.i18nText("Plugin-Pielinecomb-Typepie"),
                Toolkit.i18nText("Plugin-Pielinecomb-Typeline"),
                Toolkit.i18nText("Plugin-Pielinecomb-Typecomb")
        };
    }

    @Override
    protected int getTypeIndex(PieLineCombChart pieLineCombChart) {
        return pieLineCombChart.getChartType();
    }

    @Override
    protected void setType(PieLineCombChart pieLineCombChart, int i) {
        pieLineCombChart.setChartType(i);
    }
}
